customer-payment-methods
List customer payment methods
Lists the authenticated customer’s saved payment methods. Requires a
customer bearer token; returns 401 when unauthenticated.
GET
/
api
/
checkout
/
v2026-04
/
customers
/
me
/
payment_methods
List customer payment methods
curl --request GET \
--url https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/checkout/v2026-04/customers/me/payment_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fluid_pay_account": {
"default_payment_method_id": 123,
"id": 123
},
"meta": {
"pagination": {
"current_page": 123,
"per_page": 123,
"total_count": 123,
"total_pages": 123
},
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"payment_methods": [
{
"au_status": "<string>",
"billing_address": {
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"country_code": "<string>",
"name": "<string>",
"postal_code": "<string>",
"state": "<string>",
"zip": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"default": true,
"details": {
"card_brand": "<string>",
"card_network": "<string>",
"exp_month": "<string>",
"exp_year": "<string>",
"id": 123,
"last4_digits": "<string>",
"last_four": "<string>",
"logo_url": "<string>",
"requires_3ds": true,
"type": "<string>",
"vgs_card_id": "<string>"
},
"id": 123,
"payment_title": "<string>",
"payment_type": "<string>",
"source": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"message": "<string>"
}Authorizations
Bearer token authentication
Query Parameters
Page number (1-based)
Number of records per page (max 100)
Filter payment methods available for a country
⌘I
List customer payment methods
